"use strict";

/* eslint-disable flowtype/require-valid-file-annotation */
var getDevExpression = require('./getDevExpression');

module.exports = function (_ref) {
  var t = _ref.types;
  var DEV_EXPRESSION = getDevExpression(t);
  return {
    pre: function pre() {
      this.canChangeProperty = true;
    },
    visitor: {
      Property: function Property(path) {
        this.canChangeProperty = path.node.computed === true || path.node.key.name !== '__DEV__';
      },
      Identifier: function Identifier(path) {
        // Do nothing when testing because RN internally overwrites __DEV__ like so:
        // `global.__DEV__ = true;` (results in invalid code)
        if (process.env.NODE_ENV === 'test') {
          return;
        } // replace __DEV__ with process.env.NODE_ENV !== 'production'


        if (path.isIdentifier({
          name: '__DEV__'
        }) && this.canChangeProperty) {
          path.replaceWith(DEV_EXPRESSION);
        }
      }
    }
  };
};